Question

Error: PurchasesError(code=ConfigurationError, underlyingErrorMessage=Invalid Google Play package.

  • 5 December 2022
  • 2 replies
  • 62 views

Badge

Hello on my android  app am getting an error when I try to do a purchase.

 

The weird thing is I am able to retrieve the product/offers  and actually buy a subscription which is showing active in play store app and also got receipt on email.

 

But the purchase callback always returns the error below(I am using sdk 5.4.0)

 

**NOTE I have already made sure that I have configured the right package name on the revenue cat dashboard

Purchases.sharedInstance.purchaseProduct(activity,product,object:PurchaseCallback{    override fun onCompleted(        storeTransaction: StoreTransaction,        customerInfo: CustomerInfo    ) {            }    override fun onError(error: PurchasesError, userCancelled: Boolean) {           }})

Error: PurchasesError(code=ConfigurationError, underlyingErrorMessage=Invalid Google Play package. Check your app settings in RevenueCat match Google Play., message='There is an issue with your configuration. Check the underlying error for more details.')

 


2 replies

Userlevel 5
Badge +8

Hey @Avtar Singh!

Can you double check that the package name you entered in RevenueCat, Google Play Console, and Android Studio all match?

Badge

Hey @Avtar Singh 

We have encountered the same issue.

After the purchase, we were receiving the following error:

PlatformException(23, There is an issue with your configuration. Check the underlying error for more details., {code: 23, message: There is an issue with your configuration. Check the underlying error for more details., readableErrorCode: ConfigurationError, readable_error_code: ConfigurationError, underlyingErrorMessage: Invalid Google Play package. Check your app settings in RevenueCat match Google Play.}, null)

And on the second attempt, SDK is returning exception that the product is already active:

PlatformException(6, This product is already active for the user., {code: 6, message: This product is already active for the user., readableErrorCode: ProductAlreadyPurchasedError, readable_error_code: ProductAlreadyPurchasedError, underlyingErrorMessage: Error updating purchases. DebugMessage: . ErrorCode: 7., userCancelled: false}, null)

 

We are currently trying possible solution to this problem, that is to update Google Service Account credentials JSON.

Google Play products for this application are showing status indicating that Google Service Account credentials are invalid

Notes:

  • Package purchases_flutter (v4.2.1) is in use (Flutter SDK)
  • Yes, we had checked our package names (i.e. application IDs) many times after this error occurred @cody 

 

Reply